#!/bin/sh
# 
# Manpage Keyword Translator
# ѱ Manpage Ʈ <http://man.kldp.org>
#
# ȣ <hhyoon@kldp.org>
# v1.5, 2005-01-02, GNU manpages Ű ߰
# v1.4, 2005-01-02, GNU manpages Ű ߰
# v1.3, 2002-07-26, GNU manpages Ű ߰
#
#  <hermes44@secsm.org>
# v1.2, 2002-07-25
# v0.1.2.1, 2000 4 23, ACKNOWLEDGEMENTS Ű ߰
# v0.1.2, 2000 4 13, ο Ű ߰, -v ɼ ߰, Լ ȭ
# v0.1, 2000 4 11, ó ۼ
#
# $Id: keyword2h.sh,v 1.7 2005/02/11 06:29:54 hhyoon Exp $

#----------------------------------------------------------------------------
# ũ 
#----------------------------------------------------------------------------
PROGRAM=`basename $0`
VERSION=1.5
TMP=/tmp/keyword2h_$$
RM="rm -f"
MV="mv -f"

# ñ׳ ڵ鷯
trap "$RM ${TMP}; exit 1" 1 2 13 15

#----------------------------------------------------------------------------
#  Լ
#----------------------------------------------------------------------------

#----------------------------------------------------------------------------
#   Լ
usage()
{
	echo Manpage Keyword Translator \<http://man.kldp.org\>
	echo Usage: ${PROGRAM} [-h] [-v] filename [filename...]
	echo -h    print help
	echo -v    print version
}

#----------------------------------------------------------------------------
#    Լ
version()
{
	echo Manpage Keyword Translator \<http://man.kldp.org\>
	echo version ${VERSION}
}

#----------------------------------------------------------------------------
# ȯ Լ
translate()
{
	cat $1 | \
	sed -e "s/\.SH [\"]*ACKNOWLEDGEMENTS[S]*[\"]*/.SH /" \
		-e "s/\.SH [\"]*AUTHOR[S]*[\"]*/.SH /" \
		-e "s/\.SH [\"]*INTRODUCTION[S]*[\"]*/.SH Ұ/" \
		-e "s/\.SH [\"]*BUG REPORT[S]*[\"]*/.SH  Ʈ/" \
		-e "s/\.SH [\"]*BUG[S]*[\"]*/.SH /" \
		-e "s/\.SH [\"]*COMMAND LINE OPTION[S]*[\"]*/.SH  ɼ/" \
		-e "s/\.SH [\"]*COPYING[\"]*/.SH ۱/" \
		-e "s/\.SH [\"]*COPYRIGHT[\"]*/.SH ۱/" \
		-e "s/\.SH [\"]*DESCRIPTION[\"]*/.SH /" \
		-e "s/\.SH [\"]*ENVIRONMENT VARIABLE[S]*[\"]*/.SH ȯ /" \
		-e "s/\.SH [\"]*ENVIRONMENT[S]*[\"]*/.SH ȯ/" \
		-e "s/\.SH [\"]*ERROR[S]*[\"]*/.SH /" \
		-e "s/\.SH [\"]*EXAMPLE[S]*[\"]*/.SH /" \
		-e "s/\.SH [\"]*EXIT CODE[S]*[\"]*/.SH  ڵ/" \
		-e "s/\.SH [\"]*EXTENSION[S]*[\"]*/.SH Ȯ/" \
		-e "s/\.SH [\"]*FILE[S]*[\"]*/.SH /" \
		-e "s/\.SH [\"]*FLAG[S]*[\"]*/.SH ÷/" \
		-e "s/\.SH [\"]*HISTORY[\"]*/.SH /" \
		-e "s/\.SH [\"]*KEYWORD[S]*[\"]*/.SH Ű/" \
		-e "s/\.SH [\"]*NAME[\"]*/.SH ̸/" \
		-e "s/\.SH [\"]*NOTE[S]*[\"]*/.SH /" \
		-e "s/\.SH [\"]*OPTION[S]*[\"]*/.SH ɼ/" \
		-e "s/\.SH [\"]*RETURN VALUE[S]*[\"]*/.SH ȯ/" \
		-e "s/\.SH [\"]*SEE ALSO[\"]*/.SH  ׸/" \
		-e "s/\.SH [\"]*SYNOPSIS[\"]*/.SH /" \
		-e "s/\.SH [\"]*SYNTAX[\"]*/.SH /" \
		-e "s/\.SH [\"]*VERSION[\"]*/.SH /" \
		-e "s/\.SH [\"]*WARNING[S]*[\"]*/.SH /" \
		-e "s/\.SH [\"]*DIAGNOSTIC[S]*[\"]*/.SH /" \
		-e "s/\.SH [\"]*HINT[S]*[\"]*/.SH Ʈ/" \
		-e "s/\.SH [\"]*ARGUMENT[S]*[\"]*/.SH /" \
		-e "s/\.SH [\"]*USAGE[S]*[\"]*/.SH /" \
		-e "s/\.SH [\"]*COMMAND[S]*[\"]*/.SH /" \
		-e "s/\.SH [\"]*WARNING[S]*[\"]*/.SH /" \
		-e "s/\.SH [\"]*CONFORMING TO[\"]*/.SH ȣȯ/" \
		-e "s/\.SH [\"]*CONFORMS TO[\"]*/.SH ȣȯ/" \
		-e "s/\.SH [\"]*COMPATIBILITY[\"]*/.SH ȣȯ/" \
		-e "s/\.SH [\"]*STANDARD OPTION[S]*[\"]*/.SH ǥ ɼ/" \
		-e "s/\.SH [\"]*GNU OPTION[S]*[\"]*/.SH GNU ɼ/" \
		-e "s/\.SH [\"]*GNU STANDARD OPTION[S]*[\"]*/.SH GNU ǥ ɼ/" \
		-e "s/\.SH [\"]*GNU VERSION[S]*[\"]*/.SH GNU /" \
		-e "s/\.SH [\"]*REPORTING BUG[S]*[\"]*/.SH  Ʈ/" \
		-e "s/\.SH [\"]*OPERAND[S]*[\"]*/.SH /" \
		-e "s/\.SH [\"]*STDIN*[\"]*/.SH ǥ Է/" \
		-e "s/\.SH [\"]*INPUT FILE[S]*[\"]*/.SH Է /" \
		-e "s/\.SH [\"]*STDOUT*[\"]*/.SH ǥ /" \
		-e "s/\.SH [\"]*STDERR*[\"]*/.SH ǥ  /" \
		-e "s/\.SH [\"]*OUTPUT FILE[S]*[\"]*/.SH  /" \
		-e "s/\.SH [\"]*EXTENDED DESCRIPTION*[\"]*/.SH  /" \
		-e "s/\.SH [\"]*EXIT STATUS*[\"]*/.SH  /" \
		-e "s/\.SH [\"]*CONSEQUENCES OF ERROR[S]*[\"]*/.SH  /" \
		-e "s/\.SH [\"]*FUTURE DIRECTION[S]*[\"]*/.SH  /" \
		-e "s/\.SH [\"]*APPLICATION USAGE*[\"]*/.SH /" \
		-e "s/\.SH [\"]*ASYNCHRONOUS EVENT[S]*[\"]*/.SH 񵿱 ̺Ʈ/" \
		-e "s/\.SH [\"]*OUTPUT FORMAT[S]*[\"]*/.SH  /" \
		-e "s/\.SH [\"]*STANDARD[S]*[\"]*/.SH ǥ/" > ${TMP}

	${MV} ${TMP} $1
}

#----------------------------------------------------------------------------
# ũƮ 
#----------------------------------------------------------------------------

#----------------------------------------------------------------------------
# ڰ 
if [ $# -eq 0 ] ; then
	usage
	exit 1
fi

#----------------------------------------------------------------------------
#  ˻
for arg
do
	case $arg in 
	-h) #  
		usage
		exit 0 ;;

	-v) #  
		version
		exit 0 ;;

	*)
		;;
	esac
done

#----------------------------------------------------------------------------
# ȯ
for arg
do
	if [ ! -e $arg ] ; then
		echo ${PROGRAM}: $arg file not found.
	elif [ ! -r $arg ] ; then
		echo ${PROGRAM}: $arg file can\'t be read.
	else
		translate $arg
	fi
done

exit 0

# vim:ts=4

